package entities

import (
	"time"

	"gorm.io/gorm"
)

type FcrStandard struct {
	Id        uint           `gorm:"primaryKey"`
	FcrID     uint           `gorm:"not null;index"`
	Weight    float64        `gorm:"type:numeric(15,3);not null"`
	FcrNumber float64        `gorm:"type:numeric(15,3);not null"`
	Mortality float64        `gorm:"type:numeric(15,3);not null"`
	CreatedAt time.Time      `gorm:"autoCreateTime"`
	UpdatedAt time.Time      `gorm:"autoUpdateTime"`
	DeletedAt gorm.DeletedAt `gorm:"index" json:"-"`

	Fcr Fcr `gorm:"foreignKey:FcrID;references:Id"`
}
